Bug 1247603 - glusterfs : fix double free possibility in the code
glusterfs : fix double free possibility in the code
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
All All
medium Severity medium
: ---
: ---
Assigned To: Jiffin
: EasyFix, Triaged
Depends On:
Blocks: 1311407
  Show dependency treegraph
 
Reported: 2015-07-28 08:15 EDT by Jiffin
Modified: 2016-06-16 09:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1311407 (view as bug list)
Environment:
Last Closed: 2016-06-16 09:27:16 EDT
Type: Bug
Regression: ---
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-07-28 08:15:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2015-07-28 08:19:47 EDT
REVIEW: http://review.gluster.org/11775 (libglusterfs : assigning the pointer to NULL after freeing it) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 2 Vijay Bellur 2016-02-16 04:44:42 EST
REVIEW: http://review.gluster.org/11775 (libglusterfs : assigning the pointer to NULL after freeing it) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 3 Vijay Bellur 2016-02-22 07:01:58 EST
REVIEW: http://review.gluster.org/13483 (gfapi : Avoid double freeing of dict in glfs_h_getxattrs()) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 4 Vijay Bellur 2016-02-23 05:24:06 EST
REVIEW: http://review.gluster.org/13483 (gfapi : Avoid double freeing of dict in glfs_*_*getxattr) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 5 Vijay Bellur 2016-02-23 13:44:04 EST
COMMIT: http://review.gluster.org/13483 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit f3c48b4a729a56ad6e6d9b2ac0b08ce1ec0f3fc3
Author: Jiffin Tony Thottan <jthottan@gmail.com>
Date:   Mon Feb 22 17:20:58 2016 +0530

    gfapi : Avoid double freeing of dict in glfs_*_*getxattr
    
    The dict variable "xattr" is passed to glfs_getxattr_process() and
    glfs_listxattr_process() in glfs_*_*getxattrs(). This variable is
    unrefed by both functions and again in caller function which may
    result in segfault. So it is wrong to call dict_unref() in both
    glfs_*xattr_process functions.
    
    Change-Id: I227f55ebc3169f58910863c04ae536a8d789e80e
    BUG: 1247603
    Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>
    Reviewed-on: http://review.gluster.org/13483
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 6 Mike McCune 2016-03-28 18:50:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Niels de Vos 2016-06-16 09:27:16 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.